function p.get_is_solid() return true end

function p.get_tex() return "block_room" end

function p.main()
    set_default_block("r_room")
    
    create_rect("e", 1,1,1, 14,14,14)
    
    --Solid tubes.
    std.create_center(7,"s")

    std.create_half_tube(5, "y_neg", "s")
    std.create_half_tube(5, "x_neg", "s")
    std.create_half_tube(5, "x_pos", "s")

    --Carving tubes.
    std.create_center(5,"e")
    std.create_half_tube(3, "y_neg", "e")
    std.create_half_tube(3, "x_neg", "e")
    std.create_half_tube(3, "x_pos", "e")

    create_rect("e", 6,0,6, 8,0,8) --Door.
    create_rect("e", 0,6,6, 0,8,8) --Door.
    create_rect("e", 15,6,6, 15,8,8) --Door.

    set_pos(7,10,7,"e")

    local msg_str = "The functions std.create_center "
        .. "and std.create_tube (and std.create_half_tube) "
        .. "are great ways to create corridors. "
        .. "See the code for this room for an example."
    add_bent_s(7,7,12,"bent_base_txt",msg_str)
end
